Skip to main content
PATCH
Update

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

organizationId
string
required
Minimum string length: 1
skillId
string
required
Minimum string length: 1

Body

application/json
name
string
Required string length: 1 - 100
slug
string
Required string length: 1 - 50
Pattern: ^[a-z0-9-]+$
description
string
Maximum string length: 500
thumbnailUrl
string<uri> | null
content
string
Minimum string length: 1
tags
enum<string>[]
Available options:
chat,
agent-task,
batch

Response

200 - application/json

Success

skill
object
required